Name:           protozero
Version:        1.7.1
Release:        %mkrel 1
Summary:        Minimalistic protocol buffer decoder and encoder in C++
Group:          Development/C++
License:        BSD-2-Clause
URL:            https://github.com/mapbox/protozero
Source0:        https://github.com/mapbox/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# Header-only packages
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig(catch2)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(protobuf-lite)
BuildRequires:  protobuf-compiler

%description
Minimalistic protocol buffer decoder and encoder in C++.

Designed for high performance. Suitable for writing zero copy parsers
and encoders with minimal need for run-time allocation of memory.

Low-level: this is designed to be a building block for writing a
very customized decoder for a stable protobuf schema. If your protobuf
schema is changing frequently or lazy decoding is not critical for your
application then this approach offers no value: just use the decoding
API available via the C++ API that can be generated via the Google
Protobufs protoc program.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Minimalistic protocol buffer decoder and encoder in C++.

Designed for high performance. Suitable for writing zero copy parsers
and encoders with minimal need for run-time allocation of memory.

Low-level: this is designed to be a building block for writing a
very customized decoder for a stable protobuf schema. If your protobuf
schema is changing frequently or lazy decoding is not critical for your
application then this approach offers no value: just use the decoding
API available via the C++ API that can be generated via the Google
Protobufs protoc program.

%prep
%autosetup -p1

%build
%cmake -DWERROR=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%doc README.md doc/*.md %{_vpath_builddir}/doc/html
%license LICENSE.md LICENSE.from_folly
%{_includedir}/protozero/


%changelog
* Wed Nov 29 2023 daviddavid <daviddavid> 1.7.1-1.mga10
+ Revision: 2011138
- initial package protozero

